struct vector
{
	int size;
	int capacity;
	float* data;
};
typedef struct vector vector;

#define VECTOR_CAPACITY_INIT 4
#define VECTOR_CAPACITY_MUL 2

vector* vector_create();
void vector_destroy(vector*);
void vector_push(vector*, float);
void vector_pop(vector*);

float vector_back(vector*);
float vector_get(vector*, int);
void vector_set(vector*, int, float);

void vector_copy(vector*, vector*);
