#include <stdio.h>

#include "vector.h"

int main()
{
	vector* v1 = vector_create();
	vector_push(v1, 10.0);
	vector_push(v1, 12.4);
	vector_push(v1, -20.3);
	vector_push(v1, 15.6);
	vector_push(v1, 100.2);
	vector_set(v1, 2, -9.9);
	
	printf("Size=%d, Capacity=%d\n", v1->size, v1->capacity);
	
	printf("Items of v1: ");
	for(int i = 0; i < v1->size; ++i)
	{
		printf("%f, ", vector_get(v1, i));
	}
	printf("\n");
	
	vector* v2 = vector_create();
	vector_copy(v2, v1);
	
	printf("Items of v2: ");
	while(v2->size > 0)
	{
		printf("%f, ", vector_back(v2));
		vector_pop(v2);
	}
	printf("\n");	
	
	printf("Items of v1: ");
	for(int i = 0; i < v1->size; ++i)
	{
		printf("%f, ", vector_get(v1, i));
	}
	printf("\n");
	
	vector_destroy(v1);	
	return 0;
}
